/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.karry.dop.nbmodule.dbg.ui;

import cz.karry.dop.nbmodule.dbg.Session;
import java.awt.Toolkit;
import org.openide.util.HelpCtx;
import org.openide.util.NbBundle;
import org.openide.util.actions.CallableSystemAction;

public final class StepIntoAction extends CallableSystemAction {

    public void performAction() {
        Session session = Session.getInstance();
        if (session==null){
            Toolkit.getDefaultToolkit().beep();            
        }else{
            session.step();
        }
    }

    public String getName() {
        return NbBundle.getMessage(StepIntoAction.class, "CTL_StepIntoAction");
    }

    @Override
    protected String iconResource() {
        return "cz/karry/dop/nbmodule/dbg/ui/step.png";
    }

    public HelpCtx getHelpCtx() {
        return HelpCtx.DEFAULT_HELP;
    }

    @Override
    protected boolean asynchronous() {
        return false;
    }
}
